#
# installing R on the node
#
sudo echo "" >> 
sudo echo "# Repository for R 3.x" >> /etc/apt/sources.list
sudo echo "deb http://cran.mirror.garr.it/mirrors/CRAN/bin/linux/ubuntu precise/" >> /etc/apt/sources.list
gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys E084DAB9
gpg -a --export E084DAB9 | sudo apt-key add -
sudo apt-get update
sudo apt-get install -y openjdk-6-* # because I've founded 1 node that hadn't JNI
sudo apt-get install -y r-base
sudo apt-get install -y r-cran-rjava
sudo apt-get install -y git
sudo apt-get install texlive-latex-base
#
# esporting environment variables (run command as root)
#
sudo echo "" >> /etc/environment
sudo echo "HADOOP_HOME=/usr/lib/hadoop" >> /etc/environment
sudo echo "HADOOP_CMD=/usr/bin/hadoop" >> /etc/environment
sudo echo "HADOOP_CONF=/etc/hadoop/conf" >> /etc/environment
sudo echo "HADOOP_STREAMING=/usr/lib/hadoop-0.20-mapreduce/contrib/streaming/hadoop-streaming-2.0.0-mr1-cdh4.1.2.jar" >> /etc/environment
sudo echo "HADOOP_LIBEXEC_DIR=/usr/lib/hadoop/libexec" >> /etc/environment
sudo echo "JAVA_HOME=/usr/lib/jvm/java-6-openjdk-amd64" >> /etc/environment

# this is fundamental, because, I don't know why, HADOOP_STREAMING isn't enough, and sometimes hadoop-streaming.jar is not found
sudo echo "CLASSPATH=/usr/lib/hadoop-mapreduce/hadoop-streaming.jar" >> /etc/environment 

# permission to save R library
sudo chmod o+w /usr/local/lib/R/site-library
# tell R where jvm is located
sudo R CMD javareconf
